﻿
#language: ru

@TransportLogistics

Функционал: 007. TransportLogistics. Создание заказов клиентов

Сценарий: 007.1. TransportLogistics. Загрузка заказов клиентов
	
	Дано Я подключаюсь под "Создание заказов клиентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.007. Транспортная логистика"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И Я буду читать файл "Заказы клиента.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы клиентов' в течение 60 секунд
	Тогда таблица "Список" содержит строки по шаблону:
		| 'Сумма'          | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Состояние' | 'Отгрузка'   | 'Доставка'   | 'Подразделение'                 | 'Ответственный'             | 'Комментарий'                                                                    |
		| '850,00, RUB'    | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '14.04.2020' | '15.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 1 для формирования планов отгрузки по заказам'                            |
		| '850,00, RUB'    | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '14.04.2020' | '15.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 для формирования планов отгрузки по заказам'                            |
		| '4 726,79, RUB'  | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '07.04.2020' | '08.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 1 - Создание заданий на доставку для группы складов'                      |
		| '2 363,39, RUB'  | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '07.04.2020' | '08.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 - Создание заданий на доставку для группы складов'                      |
		| '7 090,18, RUB'  | 'Точка доставки с зоной'              | 'Ашан'               | 'Организация' | 'Создан'    | '13.04.2020' | '13.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Создание заказа клиента для формирования задания по шаблону'                    |
		| '1 890,72, RUB'  | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '06.04.2020' | '07.04.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Создание заказа клиента для задания на доставку с ТС и водителем в виде строки' |
		| '850,00, RUB'    | 'Точка доставки с зоной'              | 'Ашан'               | 'Организация' | 'Создан'    | ''           | ''           | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 1 для автоматического формирования плана отгрузки - общего'               |
		| '850,00, RUB'    | 'Точка доставки с зоной'              | 'Ашан'               | 'Организация' | 'Создан'    | ''           | ''           | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 для автоматического формирования плана отгрузки - общего'               |
		| '850,00, RUB'    | 'Точка доставки для самовывоза'       | 'Ашан'               | 'Организация' | 'Создан'    | ''           | ''           | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 1 для автоматического формирования плана отгрузки - по заказам'           |
		| '850,00, RUB'    | 'Точка доставки для самовывоза'       | 'Ашан'               | 'Организация' | 'Создан'    | ''           | ''           | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 для автоматического формирования плана отгрузки - по заказам'           |
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 007.2. TransportLogistics. Установка у заказов для автоматического формирования плана даты отгрузки - текущая дата
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                            |
		| 'Заказ 1 для автоматического формирования плана отгрузки - общего' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан] (не проведен)'
	И в поле с именем "ДатаОтгрузки" я ввожу текущую дату
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                            |
		| 'Заказ 2 для автоматического формирования плана отгрузки - общего' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан] (не проведен)'
	И в поле с именем "ДатаОтгрузки" я ввожу текущую дату
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                |
		| 'Заказ 1 для автоматического формирования плана отгрузки - по заказам' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан] (не проведен)'
	И в поле с именем "ДатаОтгрузки" я ввожу текущую дату
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                |
		| 'Заказ 2 для автоматического формирования плана отгрузки - по заказам' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан] (не проведен)'
	И в поле с именем "ДатаОтгрузки" я ввожу текущую дату
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 007.3. TransportLogistics. Изменение типа доставки в заказе клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Ашан'
	И из выпадающего списка с именем "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
	И из выпадающего списка с именем "ТочкаДоставки" я выбираю по строке 'Точка доставки для самовывоза'
	Тогда элемент формы с именем "ТипДоставки" стал равен 'Самовывоз'
	И из выпадающего списка с именем "ТочкаДоставки" я выбираю по строке 'Ашан. Скидочный регион'
	Тогда элемент формы с именем "ТипДоставки" стал равен 'Доставка сторонней транспортной компанией'
	И Я закрываю окно 'Заказ клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 007.4. Завершение

	И я закрываю сеанс TESTCLIENT